<?php

namespace App\Exports;

use App\Carrera;
use App\Encabezadopie;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class CarreraExport implements FromView
{
    protected $nombre;
    protected $tipo;
    protected $fechaA;

    public function __construct(String $nombre, String $tipo, String $fechaA)
    {
        $this->nombre = $nombre;
        $this->tipo = $tipo;
        $this->fechaA = $fechaA;
    }
    public function view(): View
    {

        $enca = Encabezadopie::max('cve_encpie');
        $enca = Encabezadopie::where('cve_encpie', $enca)->first();
        if ($this->nombre == "" && $this->tipo == "" && $this->fechaA == "") {
            return view("carrera.tabla", ['carrera' => Carrera::where('estado', '1')->get()]);
        } else {
            $carrera = Carrera::where('estado', '1');
            if ($this->nombre != "") {
                $nombre = $this->nombre;
                $carrera = $carrera->where('nombre', 'like', '%' . $nombre . '%');
            }
            if ($this->tipo != "") {
                $tipo = $this->tipo;
                $carrera = $carrera->where('tipo', $tipo);
            }
            if ($this->fechaA != "") {
                $fechaA = $this->fechaA;
                $carrera = $carrera->whereDate('fecha_apertura', $fechaA);
            }
            $carrera = $carrera->get();
            return view('carrera.tabla', ['carrera' => $carrera, 'enca' => $enca]);
        }
    }
}
